﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace XDGMultipleSummaryCaptionCase
{
    class ViewModel
    {
        public ObservableCollection<Numbers> Data { get; set; }

        public double[] num1 = { 1232, 3453, 5476, 7676, 8987 };
        public double[] num2 = { 1212, 3453, 4565, 5665, 7766 };

        public ViewModel()
        {
            CreateDataSource();
        }

        public void CreateDataSource()
        {
            Data = new ObservableCollection<Numbers>();
            for(int i=0; i<num1.Length; i++){
                Data.Add(new Numbers
                {
                    Number1 = num1[i],
                    Number2 = num2[i]
                });
            }
        }
    }

    public class Numbers
    {       
        public double Number1 { get; set; }
        public double Number2 { get; set; }
    }
}
